<div fxLayout="row" fxLayoutWrap="wrap">
  <!-- column -->
  <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
    <veh-firebase-backend-simulator [isUpdateRandomVehicles]="isUpdateRandomVehicles$ | async" [isStartListening]="isStartListening$ | async"></veh-firebase-backend-simulator>

    <mat-card>
      <mat-card-content>
        <mat-card-title>{{ 'vehicles-list.filter.title' | translate }}</mat-card-title>
        <veh-vehicles-filter [clients]="clients$ | async" [status]="status$ | async" (dispatchUpdates)="onDispatchUpdates($event)"></veh-vehicles-filter>
      </mat-card-content>
    </mat-card>

    <mat-card>
      <mat-card-content>
        <mat-card-title>{{ 'vehicles-list.grid.title' | translate }}</mat-card-title>
        <mat-card-subtitle [class]="_isMobile ? '' : 'md-right'">
          <mat-slide-toggle [color]="Primary" (change)="onChangeRealTime($event.checked)">
            <code [class]="realTimeClass">{{ 'vehicles-list.grid.sub-title' | translate }}</code>
          </mat-slide-toggle>
        </mat-card-subtitle>
        <veh-vehicles-grid [clients]="clients$ | async" [status]="status$ | async" [items]="vehicles$ | async"
          [isMobile]="_isMobile"></veh-vehicles-grid>
      </mat-card-content>
    </mat-card>
  </div>
  <!-- column -->
</div>